#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n;
    scanf("%d",&n);
    int a[n],b[n];
    int s=0;int ca;
    for(int i=0;i<n;i++)
    {
        a[i]=i+1;
        a[i]=(a[i]%2==0? a[i]+1:a[i]);
        b[i]=n+i;
        b[i]=(b[i]%2==1? b[i]+1:b[i]);

    }
    for(int i=0;i<n;i++)
    {
        printf("%d ",a[i]);
    }
    printf("\n");
    for(int i=0;i<n;i++)
    {
         printf("%d ",b[i]);
    }
    return 0;
}